#!/usr/bin/env tdaq_python

import urllib2
import json
import uuid
from time import time
import sys

#PROXY = 'atlasgw-exp:3128'
PROXY = None
#ENDPOINT = 'https://rucio-lb-prod.cern.ch/traces/'
ENDPOINT = 'https://rucio-lb-prod-03.cern.ch/traces/'
DATA = {
        'uuid': str(uuid.uuid4()).replace('-', '').lower(),
        'account': '',
        'dataset': '',
        'scope': '',
        'eventType': 'sfo2eos',
        'clientState': 'DONE',
        'timeStart': time() * 1000000,
        'timeEnd': time() * 1000000 + 1000,
        'filename': 'flegoff.test',
        'filesize': 1000,
        'remoteSite': 'CERN-PROD_TZDISK',
        'localSite': 'CERN-P1_SFO'
}

try:
    if PROXY:
        proxy = urllib2.ProxyHandler({'https': PROXY})
        opener = urllib2.build_opener(proxy)
        urllib2.install_opener(opener)
except Exception as exc:
    print 'error:', str(exc)

start = time()
NB_REQ = 1000
for i in xrange(NB_REQ):
    try:
        req = urllib2.Request(ENDPOINT)
        req.add_header('Content-Type', 'application/json')
        urllib2.urlopen(req, json.dumps(DATA))
        sys.stdout.write('.')
        sys.stdout.flush()
    except Exception as exc:
        print
        print 'error:', str(exc)
end = time()

print
print '{} requests: average = {} s/request'.format(NB_REQ, (end - start) / NB_REQ)
