#!/usr/bin/env tdaq_python

import urllib2
import json
import uuid
from time import time

PROXY = 'atlasgw-exp:3128'
#PROXY = None
ENDPOINT = 'https://rucio-lb-prod.cern.ch/traces/'
#ENDPOINT = 'https://rucio-lb-prod-03.cern.ch/traces/'

DATA = {
        'uuid': str(uuid.uuid4()).replace('-', '').lower(),
        'account': '',
        'dataset': '',
        'scope': '',
        'eventType': 'sfo2eos',
        'clientState': 'DONE',
        'timeStart': time() * 1000000,
        'timeEnd': time() * 1000000 + 1000,
        'filename': 'flegoff.test',
        'filesize': 1000,
        'remoteSite': 'CERN-PROD_TZDISK',
        'localSite': 'CERN-P1_SFO'
}

try:
    if PROXY:
        proxy = urllib2.ProxyHandler({'https': PROXY})
        opener = urllib2.build_opener(proxy)
        urllib2.install_opener(opener)

    req = urllib2.Request(ENDPOINT)
    req.add_header('Content-Type', 'application/json')
    urllib2.urlopen(req, json.dumps(DATA))
    print 'success'
except IOError as exc:
    print 'ioerror:', str(exc), exc.errno, exc.strerror, exc.filename
except Exception as exc:
    print 'error:', str(exc)

