#!/bin/bash
TOPDIR=$(cd `dirname $0` && echo `pwd`"/Script" )
STARTDIR=$(echo $TOPDIR"/UnitTests")

python -m unittest discover -t $TOPDIR -s $STARTDIR -p "Test_*.py"  -f --verbose

#for Gitlab CI:
# python -m unittest discover --top-level-directory "Script/" --start-directory "Script/UnitTests/" --pattern "Test_*.py" --verbose